Bug 817593 - Display doesn't dim on i686 when idle.
Display doesn't dim on i686 when idle.
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gnome-power-manager (Show other bugs)
6.3
i686 Linux
high Severity medium
: rc
: 6.3
Assigned To: Richard Hughes
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-30 11:15 EDT by Martin
Modified: 2012-05-10 07:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-10 07:14:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin 2012-04-30 11:15:50 EDT
Description of problem:
Display doesn't dim on i686 when idle.

Version-Release number of selected component (if applicable):
Name        : gnome-power-manager
Arch        : i686
Version     : 2.28.3
Release     : 6.el6
From repo   : anaconda-RedHatEnterpriseLinux-201204251200.i386

How reproducible:
always with laptop on battery power

Steps to Reproduce:
1. Click “On Battery Power” tab
2. Check “Dim display when idle”
3. Leave the laptop alone just a while

Actual results:
Display doesn't dim.

Expected results:
Display dims after 30 seconds like on x86_64.

Additional info:
Display dims immediately after I right-click on the laptop battery icon on the notification bar and then click “Preferences”.
Comment 1 Martin 2012-04-30 12:22:20 EDT
Better reproducer:

How reproducible:
randomly with laptop on battery power

Steps to Reproduce:
1. Disconnect laptop from AC.
2. “On AC Power” tab uncheck “Dim display when idle”.
3. “On Battery Power” select “1 minute” for “Put display to sleep when inactive”
4. “On Battery Power” tab check “Dim display when idle”
5. Leave the laptop alone for a minute.

Additional info:
Also display sleep after 1 minute is broken.
Comment 2 Tomas Pelka 2012-04-30 14:41:02 EDT
Martin this could be HW dependent, on which laptop did you saw that.

Please attach output of:

dmidecode -t system
Comment 3 RHEL Product and Program Management 2012-05-04 00:05:05 EDT
Since RHEL 6.3 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.
Comment 4 Martin 2012-05-10 07:14:33 EDT
Closing this bug, because I can't reproduce it again on RHEL 6.3 Beta.

Note You need to log in before you can comment on or make changes to this bug.